# Google App Engine Admin API . apps

## Instance Methods

Returns the modules Resource.

Returns the operations Resource.

Gets information about an application.

### Method Details

`get(appsId, x__xgafv=None, ensureResourcesExist=None)`

    Gets information about an application.

    Args:
      appsId: string, Part of `name`. Name of the application to get. For example: "apps/myapp". (required)
      x__xgafv: string, V1 error format.
      ensureResourcesExist: boolean, Certain resources associated with an application are created on-demand. Controls whether these resources should be created when performing the `GET` operation. If specified and any resources cloud not be created, the request will fail with an error code.

    Returns:
      An object of the form:

        { # An Application contains the top-level configuration of an App Engine application.
        "codeBucket": "A String", # A Google Cloud Storage bucket which can be used for storing files associated with an application. This bucket is associated with the application and can be used by the gcloud deployment commands. @OutputOnly
        "dispatchRules": [ # HTTP path dispatch rules for requests to the app that do not explicitly target a module or version. The rules are order-dependent.
          { # Rules to match an HTTP request and dispatch that request to a module.
            "path": "A String", # The pathname within the host. This must start with a '/'. A single '*' (glob) can be included at the end of the path. The sum of the lengths of the domain and path may not exceed 100 characters.
            "domain": "A String", # The domain name to match on. Supports '*' (glob) wildcarding on the left-hand side of a '.'. If empty, all domains will be matched (the same as '*').
            "module": "A String", # The resource id of a Module in this application that should service the matched request. The Module must already exist. Example: "default".
          },
        ],
        "location": "A String", # The location from which the application will be run. Choices are "us-central" for United States and "europe-west" for European Union. Application instances will run out of data centers in the chosen location and all of the application's End User Content will be stored at rest in the chosen location. The default is "us-central".
        "name": "A String", # The full path to the application in the API. Example: "apps/myapp". @OutputOnly
        "id": "A String", # The relative name/path of the application. Example: "myapp". @OutputOnly
      }